package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaExpressQuestion;
import com.ruoyi.oa.domain.vo.OaExpressQuestionVo;
import com.ruoyi.oa.domain.bo.OaExpressQuestionBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 快递问题Service接口
 *
 * @author hdka
 * @date 2025-07-21
 */
public interface IOaExpressQuestionService {

    /**
     * 查询快递问题
     */
    OaExpressQuestionVo queryById(Long questionId);

    /**
     * 查询快递问题列表
     */
    TableDataInfo<OaExpressQuestionVo> queryPageList(OaExpressQuestionBo bo, PageQuery pageQuery);

    /**
     * 查询快递问题列表
     */
    List<OaExpressQuestionVo> queryList(OaExpressQuestionBo bo);

    /**
     * 新增快递问题
     */
    Boolean insertByBo(OaExpressQuestionBo bo);

    /**
     * 修改快递问题
     */
    Boolean updateByBo(OaExpressQuestionBo bo);

    /**
     * 校验并批量删除快递问题信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
